﻿
@model ItemViewModel
<div class="row justify-content-center">
    <div id="form2-container" class="col-12">
        <partial name="FormItem" />
        <div class="row justify-content-center">
            <div class="col-xl-8 col-lg-8 col-md-8 col-sm-10 mb-3">
        @{
            var homeIndexUrl = Url.Action("Index", "Home");
        }
        <form method="get" action="@homeIndexUrl">
            <input type="submit" class="btn btn-outline-secondary" value="Back" />
        </form>
    </div>
</div>
    </div>
</div>

<div class="row justify-content-center">
    <div class="col-xl-8 col-lg-8 col-md-8 col-sm-10">
        <input type="checkbox" id="toggleCompleted" onchange="toggleCompletedItems()" checked> Show Completed Items
        <table class="table">
            <thead>
                <tr class="table-secondary">
                    <th scope="col">Description</th>
                    <th scope="col">Creation date</th>
                    <th scope="col">Due date</th>
                    <th scope="col">Status</th>
                    <th scope="col"></th>

                </tr>
            </thead>
            <tbody>
                @foreach (var t in Model.Items)
                {
                    <tr class=@t.Status.ToString().ToLower()>
                        <td class="todos-column"> @t.Description </td>
                        <td class="todos-column"> @t.CreationDate.ToShortDateString() </td>
                        <td class="todos-column"> @t.DueDate.ToShortDateString() </td>
                        <td class="todos-column"> @t.Status </td>
                        <td class="buttons-column">
                            <input type="submit" class="btn btn-outline-secondary" value="Update" onClick="populateFormItem(@t.Id,'@t.Status')" />
                        <input type="submit" class="btn btn-outline-secondary" value="Delete" onClick="deleteItem(@t.Id)" />
                        <form method="get" action="@Url.Action("Index", "Field")">
                                    <input type="hidden" name="itemId" value="@t.Id" />
                                    <input type="hidden" name="toDoId" value="@t.ToDoId" />
                                    <input type="submit" class="btn btn-outline-secondary" value="View" />
                                </form>
                        </td>
                    </tr>
                }
            </tbody>
        </table>
    </div>
</div>

